package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_mer_ledger_receiver
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsMerLedgerReceiver implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户分账id
     */
    private Long merLedgerId;

    /**
     * 平台  1：拉卡拉
     */
    private Integer platformType;

    /**
     * 平台商户号
     */
    private String platformNo;

    /**
     * 银联商户号
     */
    private String cupNo;

    /**
     * 接收方编号
     */
    private String receiverNo;

    /**
     * 接收方名称
     */
    private String receiverName;

    /**
     * 合作协议附件名称
     */
    private String entrustFileName;

    /**
     * 合作协议附件路径
     */
    private String entrustFilePath;

    /**
     * 解除合作协议附件名称
     */
    private String relieveEntrustFileName;

    /**
     * 解除合作协议附件路径
     */
    private String relieveEntrustFilePath;

    /**
     * 状态 0：删除  1：正常   2：不可用
     */
    private Integer status;

    /**
     * 审核状态  1：绑定分账审核中   2：通过    3：驳回    4：解绑分账审核中
     */
    private Integer auditStatus;

    /**
     * 驳回原因
     */
    private String rejectReason;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public Long getMerLedgerId() {
        return merLedgerId;
    }

    public void setMerLedgerId(Long merLedgerId) {
        this.merLedgerId = merLedgerId;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public String getPlatformNo() {
        return platformNo;
    }

    public void setPlatformNo(String platformNo) {
        this.platformNo = platformNo;
    }

    public String getCupNo() {
        return cupNo;
    }

    public void setCupNo(String cupNo) {
        this.cupNo = cupNo;
    }

    public String getReceiverNo() {
        return receiverNo;
    }

    public void setReceiverNo(String receiverNo) {
        this.receiverNo = receiverNo;
    }

    public String getReceiverName() {
        return receiverName;
    }

    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    public String getEntrustFileName() {
        return entrustFileName;
    }

    public void setEntrustFileName(String entrustFileName) {
        this.entrustFileName = entrustFileName;
    }

    public String getEntrustFilePath() {
        return entrustFilePath;
    }

    public void setEntrustFilePath(String entrustFilePath) {
        this.entrustFilePath = entrustFilePath;
    }

    public String getRelieveEntrustFileName() {
        return relieveEntrustFileName;
    }

    public void setRelieveEntrustFileName(String relieveEntrustFileName) {
        this.relieveEntrustFileName = relieveEntrustFileName;
    }

    public String getRelieveEntrustFilePath() {
        return relieveEntrustFilePath;
    }

    public void setRelieveEntrustFilePath(String relieveEntrustFilePath) {
        this.relieveEntrustFilePath = relieveEntrustFilePath;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsMerLedgerReceiver other = (BsMerLedgerReceiver) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerLedgerId() == null ? other.getMerLedgerId() == null : this.getMerLedgerId().equals(other.getMerLedgerId()))
            && (this.getPlatformType() == null ? other.getPlatformType() == null : this.getPlatformType().equals(other.getPlatformType()))
            && (this.getPlatformNo() == null ? other.getPlatformNo() == null : this.getPlatformNo().equals(other.getPlatformNo()))
            && (this.getCupNo() == null ? other.getCupNo() == null : this.getCupNo().equals(other.getCupNo()))
            && (this.getReceiverNo() == null ? other.getReceiverNo() == null : this.getReceiverNo().equals(other.getReceiverNo()))
            && (this.getReceiverName() == null ? other.getReceiverName() == null : this.getReceiverName().equals(other.getReceiverName()))
            && (this.getEntrustFileName() == null ? other.getEntrustFileName() == null : this.getEntrustFileName().equals(other.getEntrustFileName()))
            && (this.getEntrustFilePath() == null ? other.getEntrustFilePath() == null : this.getEntrustFilePath().equals(other.getEntrustFilePath()))
            && (this.getRelieveEntrustFileName() == null ? other.getRelieveEntrustFileName() == null : this.getRelieveEntrustFileName().equals(other.getRelieveEntrustFileName()))
            && (this.getRelieveEntrustFilePath() == null ? other.getRelieveEntrustFilePath() == null : this.getRelieveEntrustFilePath().equals(other.getRelieveEntrustFilePath()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getAuditStatus() == null ? other.getAuditStatus() == null : this.getAuditStatus().equals(other.getAuditStatus()))
            && (this.getRejectReason() == null ? other.getRejectReason() == null : this.getRejectReason().equals(other.getRejectReason()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerLedgerId() == null) ? 0 : getMerLedgerId().hashCode());
        result = prime * result + ((getPlatformType() == null) ? 0 : getPlatformType().hashCode());
        result = prime * result + ((getPlatformNo() == null) ? 0 : getPlatformNo().hashCode());
        result = prime * result + ((getCupNo() == null) ? 0 : getCupNo().hashCode());
        result = prime * result + ((getReceiverNo() == null) ? 0 : getReceiverNo().hashCode());
        result = prime * result + ((getReceiverName() == null) ? 0 : getReceiverName().hashCode());
        result = prime * result + ((getEntrustFileName() == null) ? 0 : getEntrustFileName().hashCode());
        result = prime * result + ((getEntrustFilePath() == null) ? 0 : getEntrustFilePath().hashCode());
        result = prime * result + ((getRelieveEntrustFileName() == null) ? 0 : getRelieveEntrustFileName().hashCode());
        result = prime * result + ((getRelieveEntrustFilePath() == null) ? 0 : getRelieveEntrustFilePath().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getAuditStatus() == null) ? 0 : getAuditStatus().hashCode());
        result = prime * result + ((getRejectReason() == null) ? 0 : getRejectReason().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", merId=").append(merId);
        sb.append(", merLedgerId=").append(merLedgerId);
        sb.append(", platformType=").append(platformType);
        sb.append(", platformNo=").append(platformNo);
        sb.append(", cupNo=").append(cupNo);
        sb.append(", receiverNo=").append(receiverNo);
        sb.append(", receiverName=").append(receiverName);
        sb.append(", entrustFileName=").append(entrustFileName);
        sb.append(", entrustFilePath=").append(entrustFilePath);
        sb.append(", relieveEntrustFileName=").append(relieveEntrustFileName);
        sb.append(", relieveEntrustFilePath=").append(relieveEntrustFilePath);
        sb.append(", status=").append(status);
        sb.append(", auditStatus=").append(auditStatus);
        sb.append(", rejectReason=").append(rejectReason);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}